Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: "Dr. Werner Fink" <[email-masked]>
Date: Fri, 23 Dec 2016 08:20:03 +0100

On Thu, Dec 22, 2016 at 06:44:45PM +0100, martin rudalics wrote:
> >> What are the "both (custom-set-face)"?  Can you give me an example?
> >
> > That was
> >
> >    (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :weight normal :slant normal :width normal)))))
> >    (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))
> >
> > which in fact do show exactly the same font at the same attributes here.
> 
> I'm still too dense to understand you.  Do you mean that one of these
> has been implicitly specified in the GSettings file, the other in your
> .emacs and although they would result in the same default character
> height, Emacs detects a difference in ‘font-setting-change-default-font’
> and switches to a larger font?

There is no difference and the first (custom-set-faces) is from ~/.emacs
and the second is caused by gconf ... it is the same used font with the
same attributes.

After(!) fixing the DPI rounding in xsettings.c switching between both lines
with eval-expression results in no visible difference

Werner

-- 
 Dr. Werner Fink -- Software Engineer Consultant
 SUSE Linux GmbH,  Maxfeldstraße 5,  90409 Nürnberg,  Germany
 DE370832343409169, GF: Felix Imendörffer, Jane Smithard, Jennifer Guild,
 Dilip Upmanyu, Graham Norton, HRB 21284 (AG Nuernberg)
 phone: +49-911-740-53-0,  fax: +49-911-3206727,  www.opensuse.org
---------------------------------------------------------------------------
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr